%define         pypiname          Cartopy
%define         srcname           Cartopy

Name:           python-cartopy
Version:        0.18.0
Release:        %mkrel 1

Summary:        A Python package designed to draw maps
License:        LGPLv3
Group:          Development/Python

Url:            https://pypi.python.org/pypi/Cartopy
Source0:        https://pypi.io/packages/source/C/Cartopy/%{srcname}-%{version}.tar.gz

BuildRequires:  pkgconfig(proj)
BuildRequires:  geos-devel


%description
Cartopy is a Python package designed to make drawing maps for data
analysis and visualisation easy. Some of the key features of cartopy are:
* object oriented projection definitions
* point, line, vector, polygon and image transformations between projections
* integration to expose advanced mapping in matplotlib with a simple
  and intuitive interface
* powerful vector data handling by integrating shapefile reading with
  Shapely capabilities.


%package -n python3-cartopy
Summary:        Python3 implementation of Cartopy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(matplotlib)


%description -n python3-cartopy
Cartopy is a Python 3 package designed to make drawing maps for data
analysis and visualisation easy. Some of the key features of cartopy are:
* object oriented projection definitions
* point, line, vector, polygon and image transformations between projections
* integration to expose advanced mapping in matplotlib with a simple
  and intuitive interface
* powerful vector data handling by integrating shapefile reading with
  Shapely capabilities.


%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info


%build
#py3_build
CFLAGS="%{optflags} -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H" %__python3 setup.py build


%install
%py3_install


%files -n python3-cartopy
%doc README.md
%{python3_sitearch}/cartopy
%{python3_sitearch}/%{pypiname}-%{version}-py?.?.egg-info


%changelog
* Sat Jul 11 2020 eatdirt <eatdirt> 0.18.0-1.mga8
+ Revision: 1605147
- Upgrade to version 0.18.0

* Sun May 10 2020 daviddavid <daviddavid> 0.17.0-7.mga8
+ Revision: 1582757
- rebuild for updated python deps

* Fri Mar 20 2020 eatdirt <eatdirt> 0.17.0-6.mga8
+ Revision: 1558177
- Rebuild for new libproj

* Sun Feb 16 2020 umeabot <umeabot> 0.17.0-5.mga8
+ Revision: 1533123
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.17.0-4.mga8
+ Revision: 1443588
- rebuild for python-3.8
- drop python2 subpkg

* Sat Mar 09 2019 eatdirt <eatdirt> 0.17.0-3.mga7
+ Revision: 1373339
- Fix python3 compilation
- Fix compilation against libproj 6.0
- Rebuild for new proj

* Tue Jan 08 2019 shlomif <shlomif> 0.17.0-1.mga7
+ Revision: 1351567
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.16.0-2.mga7
+ Revision: 1300452
- Mageia 7 Mass Rebuild

* Sun May 13 2018 eatdirt <eatdirt> 0.16.0-1.mga7
+ Revision: 1229080
- Upgrade to version 0.16.0

* Sat Mar 17 2018 daviddavid <daviddavid> 0.15.1-3.mga7
+ Revision: 1210101
- rebuild for new proj 5.0.0
- rename python-cartopy to python2-cartopy

* Tue Nov 21 2017 tv <tv> 0.15.1-2.mga7
+ Revision: 1178364
- rebuild for new libproj

* Fri Oct 27 2017 eatdirt <eatdirt> 0.15.1-1.mga7
+ Revision: 1173968
- imported package python-cartopy

